include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tdeeduplot (shared)

tde_add_library( tdeeduplot SHARED AUTOMOC

  SOURCES
        kplotobject.cpp
        kplotaxis.cpp
        kplotwidget.cpp
  LINK
     tdecore-shared
     
  VERSION 1.2.0

  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

install(
    FILES kplotobject.h kplotaxis.h kplotwidget.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/libtdeedu
)
